from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, String, Boolean

Pypgatk_Cli_Cosmic_To_Proteindb_V0_1_0 = CommandToolBuilder(tool="pypgatk_cli_cosmic_to_proteindb", base_command=["pypgatk_cli", "cosmic-to-proteindb"], inputs=[ToolInput(tag="in_config_file", input_type=File(optional=True), prefix="--config_file", doc=InputDocumentation(doc="Configuration file for the cosmic data")), ToolInput(tag="in_input_genes", input_type=String(optional=True), prefix="--input_genes", doc=InputDocumentation(doc="All Cosmic genes")), ToolInput(tag="in_output_db", input_type=String(optional=True), prefix="--output_db", doc=InputDocumentation(doc="Protein database including all the mutations")), ToolInput(tag="in_filter_column", input_type=File(optional=True), prefix="--filter_column", doc=InputDocumentation(doc="Column in the VCF file to be used for\nfiltering or splitting mutations")), ToolInput(tag="in_accepted_values", input_type=String(optional=True), prefix="--accepted_values", doc=InputDocumentation(doc="Limit mutations to values (tissue type, sample\nname, etc) considered for generating\nproteinDBs, by default mutations from all\nrecords are considered")), ToolInput(tag="in_split_by_filter_column", input_type=Boolean(optional=True), prefix="--split_by_filter_column", doc=InputDocumentation(doc="Use this flag to generate a proteinDB per\ngroup as specified in the filter_column,\ndefault is False")), ToolInput(tag="in_pipelines", input_type=String(), position=0, doc=InputDocumentation(doc="-in, --input_mutation TEXT    Cosmic Mutation data file"))], outputs=[], container="quay.io/biocontainers/pypgatk:0.0.17--py_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Pypgatk_Cli_Cosmic_To_Proteindb_V0_1_0().translate("wdl")

